<?php

/**
 * mod_vmrotone_randomprod
 *
 * @version 1.1
 * @author Creative Pulse
 * @copyright Creative Pulse 2008- Soeren Eberhardt 2004-2005 - Mr PHP 2000-2004
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link http://www.creativepulse.eu
 */

defined('_JEXEC') or die('Restricted access');

if (!empty($mod->items)) {

	$height_str = $mod->height > 0 ? ' style="height:' . $mod->height . 'px; overflow:hidden;"' : '';

	echo '	<div id="mod_vmrotone_randomprod_' . $mod->instance_id() . '" class="mod_vmrotone_randomprod" style="visibility:hidden">' . "\n";

	echo '		<div class="topgap"></div>' . "\n";

	echo '		<table cellpadding="0" cellspacing="0">' . "\n";

	echo '			<tr>' . "\n";
	$i = 0;
	foreach ($mod->items as $item) {
		$i++;
		echo '				<td colspan="2" valign="top"' . ($mod->width > 0 ? ' width="' . $mod->width . '"' : '') . '>' . "\n";
		echo '					<div class="mod_vmrotone_item" id="mod_vmrotone_randomprod_item_' . $mod->instance_id() . '_' . $i . '"' . $height_str . '>' . "\n";
		printf('						<a href="%s">%s</a>' . "\n", $item['link'], $item['name']);
		printf('						<br/><a href="%s">%s</a>' . "\n", $item['link'], $item['thumb']);

		if ($item['price'] != '')
			printf('						<br/>%s' . "\n", $item['price']);

		echo '					</div>' . "\n";
		echo '				</td>' . "\n";
	}
	echo '			</tr>' . "\n";

	echo '			<tr><td colspan="' . (count($mod->items) * 2) . '"><div class="bottomgap"></div></td></tr>' . "\n";

	echo '			<tr>' . "\n";
	$i = 0;
	foreach ($mod->items as $item) {
		$i++;
		echo '				<td valign="middle" class="mod_vmrotone_linksback" height="41"' . ($mod->width > 0 ? ' width="' . $mod->width . '"' : '') . '>' . "\n";

		echo '						<button class="mod_vmrotone_btnprev" id="mod_vmrotone_randomprod_btnprev_' . $mod->instance_id() . '_' . $i . '">&lt;</button>' . "\n";
		echo '						<button class="mod_vmrotone_btnnext" id="mod_vmrotone_randomprod_btnnext_' . $mod->instance_id() . '_' . $i . '">&gt;</button>' . "\n";

		if ($item['addtocart_link'] != '')
			echo '						&nbsp; <button class="mod_vmrotone_addtocart" onclick="window.location=\'' . $item['addtocart_link'] . '\'">Add to cart</button>' . "\n";

		echo '				</td>' . "\n";

		echo '				<td align="right" valign="middle" class="mod_vmrotone_linksback" height="41">' . "\n";
		echo '					<button class="mod_vmrotone_readon" onclick="window.location=\'' . $item['link'] . '\'">More</button>' . "\n";
		echo '				</td>' . "\n";
	}
	echo '			</tr>' . "\n";

	echo '		</table>' . "\n";
	echo '	</div>' . "\n";

	if (!defined('MOD_VMROTONE_RANDOMPROD')) {
		define('MOD_VMROTONE_RANDOMPROD', 1);

		echo <<<EOF
<script type="text/javascript" src="modules/mod_vmrotone_randomprod/module.js"></script>
<script type="text/javascript">
// <![CDATA[
var cssfile = document.createElement('link');
cssfile.rel = 'stylesheet';
cssfile.type = 'text/css';
cssfile.href = 'modules/mod_vmrotone_randomprod/module.css';
document.getElementsByTagName('head')[0].appendChild(cssfile);
// ]]>
</script>

EOF;
	}

	echo <<<EOF
<script type="text/javascript">
// <![CDATA[
if (!document['mod_vmrotone_randomprod_conf'])
	document['mod_vmrotone_randomprod_conf'] = { }

document['mod_vmrotone_randomprod_conf']['inst_{$mod->instance_id()}'] = { width: {$mod->width}, interval: {$mod->interval}, speed: {$mod->speed} }
// ]]>
</script>

EOF;
}

?>